function Delta_Time_in_Seconds = Str2dT(Time_String_1,Time_String_2)
    % Time Function Calculates the Timedifference in Seconds from 
    % 2 String with the following Format:
    % "dd:mm hr:min aaas bbbms cccus dddns"
    % Eg: "18.10 16:59 45s 284ms 707us 616ns"
    % And returns the Delaytime in Seconds 
    
    % Warning!!! 
    % This function wont work properly if the 2 TimeStrings are from a
    % Different Day. Eg: You made Messurements during midnight.


    % Split the Strings into Parts [day month hour min sec msec usec nsec]
    T1 = sscanf(char(Time_String_1), "%2d.%2d %2d:%2d %2ds %3dms %3dus %3dns");
    T2 = sscanf(char(Time_String_2), "%2d.%2d %2d:%2d %2ds %3dms %3dus %3dns");
    
    % Typecasting to ensure precision
    T1 = cast(T1, 'int64');
    T2 = cast(T2, 'int64');
    
    % Calculate Difference
    dT = T2 - T1;
   
    % Transform Difference into Seconds
    ret = dT(8) * 1;
    ret = dT(7) * 1000 + ret;
    ret = dT(6) * 1000 * 1000 + ret;
    ret = dT(5) * 1000 * 1000 * 1000 + ret;
    ret = dT(4) * 1000 * 1000 * 1000 * 60 + ret;
    ret = dT(3) * 1000 * 1000 * 1000 * 60 * 60 + ret;
    Delta_Time_in_Seconds = cast(ret,'double') * 1E-9; 
end

